strget
Prev | Orchestra Opcodes and Operators | Next

## strget

strget — Set string variable to value from strset table or string p-field

## Description

strget sets a string variable at initialization time to the value stored in strset table at the specified index, or a string p-field from the score. If there is no string defined for the index, the variable is set to an empty string.

## Syntax

    Sdst strget indx

## Initialization

indx -- strset index, or score p-field

Sdst -- destination string variable

## Examples

Here is an example of the strget opcode. It uses the file strget.csd.

Example 1047. Example of the strget opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac     ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o strget.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    strset 1, "fox.wav"
    strset 2, "drumsMlp.wav"

    instr 1

    Sfile strget p4
    asig  soundin Sfile
          outs asig, asig

    endin
    </CsInstruments>
    <CsScore>

    i 1 0 2.7 1
    i 1 + 2   2
    e
    </CsScore>
    </CsoundSynthesizer>

## See Also

String Manipulation Opcodes

## Credits

Author: Istvan Varga

2005

Prev | Up | Next
strfromurl | Home | strindex